org.apache.ode.bpel.compiler

## Class BpelCompiler11

- java.lang.Object
- - org.apache.ode.bpel.compiler.BpelCompiler
  - - org.apache.ode.bpel.compiler.BpelCompiler11

- All Implemented Interfaces:
    CompilerContext

      public class BpelCompiler11
      extends BpelCompiler

  BPEL v1.1 compiler.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EXPLANG_XPATH` URI for the XPath 1.0 expression language.

    - ### Fields inherited from class org.apache.ode.bpel.compiler.BpelCompiler

      `__log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelCompiler11()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getBpwsNamespace()`
    `protected java.lang.String` | `getDefaultExpressionLanguage()`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.BpelCompiler

      `addWsdlImport, addXsdImport, compile, compile, compile, compileExpr, compileExpr, compileExpr, compileJoinCondition, compileLValueExpr, compileLValueExpr, compileSLC, compileXslt, constantExpr, getAccessibleVariables, getActivityStack, getBaseResourceURI, getCompileListener, getCurrent, getOProcess, getProcessDef, getSchemaSources, getSourceLocation, getVersion, getWsdlDefinitions, isPartnerLinkAssigned, recoveredFromError, registerActivityCompiler, registerExpressionLanguage, registerExpressionLanguage, resolveCompensatableScope, resolveCorrelationSet, resolveHeaderPart, resolveLink, resolveMessageType, resolveMessageVariable, resolveMessageVariable, resolveMyRoleOperation, resolvePart, resolvePartnerLink, resolvePartnerLinkType, resolvePartnerRoleOperation, resolvePortType, resolveProperty, resolvePropertyAlias, resolveVariable, resolveXsdType, setCompileListener, setCustomProperties, setResourceFinder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXPLANG_XPATH

          public static final java.lang.String EXPLANG_XPATH

      URI for the XPath 1.0 expression language.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BpelCompiler11

          public BpelCompiler11()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getBpwsNamespace

          protected java.lang.String getBpwsNamespace()

      Specified by:
        `getBpwsNamespace` in class `BpelCompiler`

    - #### getDefaultExpressionLanguage

          protected java.lang.String getDefaultExpressionLanguage()

      Specified by:
        `getDefaultExpressionLanguage` in class `BpelCompiler`